<?php

/*
Uninstall code
*/

// Check the WP_UNINSTALL_PLUGIN and make sure we are uninstalling wponlinebackup.php
if (
	defined( 'WP_UNINSTALL_PLUGIN' )
&&	strtolower( WP_UNINSTALL_PLUGIN ) == strtolower( plugin_basename( dirname( __FILE__ ) ) . '/wponlinebackup.php' )
) {

	global $wpdb;

	//TODO:Check for in progress backups and delete the files if at all possible.

	// Cleanup the options
	delete_option( 'wponlinebackup_db_version' );
	delete_option( 'wponlinebackup_status' );
	delete_option( 'wponlinebackup_settings' );
	delete_option( 'wponlinebackup_schedule' );
	delete_option( 'wponlinebackup_last_full' );
	delete_option( 'wponlinebackup_temps' );
	delete_option( 'wponlinebackup_bsn' );
	delete_option( 'wponlinebackup_in_sync' );
	delete_option( 'wponlinebackup_quota' );
	delete_option( 'wponlinebackup_last_gzip_tmp_dir' );

	// Cleanup the database tables
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_status`' );
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_items`' );
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_generations`' );
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_scan_log`' );
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_activity_log`' );
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'wponlinebackup_event_log`' );

	// Cleanup legacy tables in case they never got upgraded (should never happen)
	$wpdb->query( 'DROP TABLE `' . $wpdb->prefix . 'online_backup`' );

}

?>
